**********************************************************
* Filer48 Customizing Constants
* v1.2 Jan/24/2004: Added support for: Aunit, Font, Ext1
* v1.1 Jan/20/2004: Modified by GaaK
* V1.0 Jan/15/2004: First Release
**********************************************************
DEFINE xVIEW	ROMPTR 1BC 1
DEFINE xFAPP	ROMPTR 1BC 2
DEFINE NULL	{ }	( menu )
DEFINE allobs	{ }	( types )
DEFINE exitFAPP	' TakeOver

* Location_Item
DEFINE fEverywhere	ZERO
DEFINE fVar		ONE
DEFINE fNoLib		TWO
DEFINE fNoBackup	THREE
DEFINE fHomePort	FOUR
DEFINE fVar&HomePort	FIVE

* Built-in Calls
DEFINE cQUIT		ZERO
DEFINE cSORT		ONE
DEFINE cSELECT		TWO
DEFINE cVIEW		THREE
DEFINE cTREE		FOUR
DEFINE cUp		FIVE
DEFINE cMaxUp		SIX
DEFINE cDown		SEVEN
DEFINE cMaxDown		EIGHT
DEFINE cSelect		NINE
DEFINE cUpdir		TEN
DEFINE cDownDir		ELEVEN
DEFINE cPreviousMenu	TWELVE
DEFINE cNextMenu	THIRTEEN
DEFINE cEVAL		FOURTEEN
DEFINE cChangeHeader	FIFTEEN
DEFINE cChangeMode	TWENTYFOUR
DEFINE cEDIT		TWENTYFIVE
DEFINE cCOPY		TWENTYSIX
DEFINE cMOVE		TWENTYSEVEN
DEFINE cRCL		TWENTYEIGHT
DEFINE cPURGE		TWENTYNINE
DEFINE cRENAME		THIRTY
DEFINE cNewObject	THIRTYONE
DEFINE cORDER		THIRTYTWO
DEFINE cZIP		THIRTYTHREE
DEFINE cLINK		THIRTYFOUR
DEFINE cCustom		THIRTYFIVE
DEFINE cPageUp		THIRTYSIX
DEFINE cPageDown	THIRTYSEVEN

* Custom-Calls
DEFINE cPathOnly	SIXTEEN
DEFINE cSingleObject	SEVENTEEN
DEFINE cMultipleObjects	EIGHTEEN
DEFINE cProgramLoop	NINETEEN
DEFINE cSingleName	TWENTY
DEFINE cMultipleNames	TWENTYONE
DEFINE cStrSingle	TWENTYTWO
DEFINE cStrMultiple	TWENTYTHREE

* Object-Types
DEFINE cDir		% 0
DEFINE cAccptr		% 1
DEFINE cAlg		% 2
DEFINE cAunit		% 3
DEFINE cBak		% 4
DEFINE cHex		% 5
DEFINE cBint		% 6
DEFINE cChar		% 7
DEFINE cCode		% 8
DEFINE cCplx		% 9
DEFINE cEcplx		% 10
DEFINE cEreal		% 11
DEFINE cExt1		% 12
DEFINE cExt		% 13
DEFINE cFont		% 14
DEFINE cGlobal		% 15
DEFINE cGrob		% 16
DEFINE cLarry		% 17
DEFINE cLdata		% 18
DEFINE cLib		% 19
DEFINE cList		% 20
DEFINE cLocal		% 21
DEFINE cMat		% 22
DEFINE cReal		% 23
DEFINE cSys		% 24
DEFINE cStr		% 25
DEFINE cTag		% 26
DEFINE cUnit		% 27
DEFINE cUser		% 28
DEFINE cXlib		% 29
DEFINE cZip		% 30

* Macro	: Use KEY modifier,keyCODE
* Examp	: 	KEY	NS,BACKCODE
*		KEY	LS,BACKCODE
*		KEY	RS,BACKCODE
*		KEY	ANS,BACKCODE
*		KEY	ALS,BACKCODE
*		KEY	ARS,BACKCODE

ASSEMBLE
KEY MACRO
	CON(5) =DOBINT
	CON(5) ($1)+($2)
KEY ENDM

* Modifiers
NS	EQU #00000
LS	EQU #00040
RS	EQU #000C0
ANS	EQU #00100
ALS	EQU #00140
ARS	EQU #001C0

* Keys
=F1CODE		EQU 01
=F2CODE		EQU 02
=F3CODE		EQU 03
=F4CODE		EQU 04
=F5CODE		EQU 05
=F6CODE		EQU 06
=MTHCODE	EQU 07
=PRGCODE	EQU 08
=CSTCODE	EQU 09
=VARCODE	EQU 10
=UPCODE		EQU 11
=NXTCODE	EQU 12
=tickCODE	EQU 13
=STOCODE	EQU 14
=EVALCODE	EQU 15
=LEFTCODE	EQU 16
=DOWNCODE	EQU 17
=RIGHTCODE	EQU 18
=SINCODE	EQU 19
=COSCODE	EQU 20
=TANCODE	EQU 21
=SQRTCODE	EQU 22
=POWERCODE	EQU 23
=INVCODE	EQU 24
=ENTERCODE	EQU 25
=CHSCODE	EQU 26
=EEXCODE	EQU 27
=DELCODE	EQU 28
=BACKCODE	EQU 29
=7CODE		EQU 31
=8CODE		EQU 32
=9CODE		EQU 33
=DIVCODE	EQU 34
=4CODE		EQU 36
=5CODE		EQU 37
=6CODE		EQU 38
=MULCODE	EQU 39
=1CODE		EQU 41
=2CODE		EQU 42
=3CODE		EQU 43
=MINUSCODE	EQU 44
=0CODE		EQU 46
=ONCODE		EQU 45	\
=ATTNCODE	EQU 45	/
=POINTCODE	EQU 47
=SPCCODE	EQU 48
=PLUSCODE	EQU 49
RPL
* END
