*****************************************
* Hide-Manager
*
*  Filer Application that manages hidden
* files, you can use it to hide/unhide
* variables inside directories...
*****************************************

* Make sure to include
* constants header file...
INCLUDE Filer48.h

::

* Check if FAPP exists...
  "FAPP not Found"
  ' ROMPTR 1BC 002
  ROMPTRDECOMP NOTcase DO$EXIT
  ' ID FAPP EQUALNOTcase DO$EXIT
  DROP

* Initial Path, { } = Home
  { }

* Type List, { } = Display all object types!
  { }

* Menu
  {
    {
      "VIEW"
      fEverywhere
      cVIEW
    }
    {
      "NEW"
      fVar
      cNewObject
    }
    {
      "SELEC"
      fEverywhere
      cSELECT
    }

    ( Hides the selected variables... )
    {
      "HIDE"
      fVar
      cMultipleNames
      ::
        ( {path} idN .. id2 id1 %N -> )
	COERCE {}N 1LAMBIND	( save vars to hide )
	SWAPDROP

	( Generate vars list! )
	::
	  CONTEXT@ LASTRAM-WORD NOTcase ZERO
	  ZEROSWAP
	  BEGIN
	    DUP RAM-WORDNAME UNROT
	    SWAP#1+SWAP PrevNonNull
	  NOT_UNTIL
	 ;

	( idN ... id2 id1 #vars -> )
	NULL{} SWAP
	ZERO_DO
	  SWAP 1GETLAM
	  matchob? ?SKIP >HCOMP
	LOOP

	ABND	( destroy lam1 )

	( Hide all Vars! )
	NULL$
	NULLID
	::
	  DoHere: DUP@
	  IT
	  ::
	    DUPTYPERRP? caseDROP
	    OBPURGE!
	   ;
	  CREATE
	 ;

	( re-order visible vars -> )
	XEQORDER
       ;
    }
    ( unhide the variables... )
    {
      "UHIDE"
      fVar
      cPathOnly
      ::
	DROP			( discard the path )
	NULLID			( nullid )
	SAFE@_HERE NOT?SEMI	( object exists? )
	TYPERRP? ?SEMI		( hidden dir? )
	NULLID PURGE		( no, purge it! )
       ;
    }
    {
      "QUIT"
      fEverywhere
      cQUIT
    }
  }
* Don't Show Hidden Files... (clear Flag 6)
  SIX ClrUserFlag

* Run the Filer Application Command...
  xFAPP
 ;
